FireGuardApi reference
Create or reuse a Copilot conversation
Link a Microsoft Copilot conversation ID to a FireGuard conversation.
Link a Microsoft Copilot conversation ID to a FireGuard conversation.
Authorization
ApiKeyAuth X-API-Key<token>
FireGuard organization API key.
In: header
Query Parameters
project_id*string
Project ID from the FireGuard project settings.
conversation_copilot_id*string
The conversation identifier from Microsoft Copilot.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/conversation_copilot?project_id=string&conversation_copilot_id=string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "is_client": true}Create a conversation POST
Create a conversation for organizing and tracking a user's interaction with FireGuard.
Check user input POST
Evaluate the last messages against the project policies and security guardrail. Attach images or documents in one call via JSON `sourceUrl`, multipart binaries, or legacy `base64`. Nest stores objects and continues with signed URLs for workers.